## org.apache.xerces.xs
Interface ElementPSVI

All Superinterfaces:
  ItemPSVI

    public interface ElementPSVI

extends ItemPSVI

Represents a PSVI item for one element information item.

Field Summary

Fields inherited from interface org.apache.xerces.xs.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Method Summary
`XSElementDeclaration` `getElementDeclaration()` [element declaration]: an item isomorphic to the element declaration used to validate this element.
`boolean` `getNil()` [nil]: true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false.
`XSNotationDeclaration` `getNotation()` [notation]: the notation declaration.
`XSModel` `getSchemaInformation()` schema information: the schema information property if it is the validation root, `null` otherwise.

Methods inherited from interface org.apache.xerces.xs.ItemPSVI
`getActualNormalizedValue, getActualNormalizedValueType, getErrorCodes, getIsSchemaSpecified, getItemValueTypes, getMemberTypeDefinition, getSchemaDefault, getSchemaNormalizedValue, getTypeDefinition, getValidationAttempted, getValidationContext, getValidity`

Method Detail

### getElementDeclaration

    XSElementDeclaration getElementDeclaration()

  [element declaration]: an item isomorphic to the element declaration used to validate this element.

### getNotation

    XSNotationDeclaration getNotation()

  [notation]: the notation declaration.

### getNil

    boolean getNil()

  [nil]: true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false.

### getSchemaInformation

    XSModel getSchemaInformation()

  schema information: the schema information property if it is the validation root, `null` otherwise.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.